layout_type_dated_local_r.h File Reference

Implement a dated layout (reentrant) with local time. More...

`#include <log4c/defs.h>`
`#include <log4c/layout.h>`

Go to the source code of this file.

## Detailed Description

Implement a dated layout (reentrant) with local time.

In `log4j.PatternLayout` conventions, the dated_local_r layout has the following conversion pattern: `"%d %P %c - %m\n"`.

Where

- `"%d"` is the date of the logging event
- `"%P"` is the priority of the logging event
- `"%c"` is the category of the logging event
- `"%m"` is the application supplied message associated with the logging event